Cancelar suscripción
curl --request POST \
--url https://api.truthlocks.com/v1/billing/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "<string>",
"immediate": true
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', immediate: true})
};
fetch('https://api.truthlocks.com/v1/billing/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/cancel"
payload = {
"reason": "<string>",
"immediate": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/cancel"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"immediate\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "<string>",
"cancels_at": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Facturación
Cancelar suscripción
Cancele la suscripción activa para el inquilino autenticado al final del período de facturación actual.
POST
/
v1
/
billing
/
cancel
Cancelar suscripción
curl --request POST \
--url https://api.truthlocks.com/v1/billing/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "<string>",
"immediate": true
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', immediate: true})
};
fetch('https://api.truthlocks.com/v1/billing/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/cancel"
payload = {
"reason": "<string>",
"immediate": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/cancel"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"immediate\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "<string>",
"cancels_at": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}POST /v1/billing/cancel
Respuesta
Devuelve el objeto de suscripción actualizado concancel_at_period_end establecido en true.
Estado de la suscripción. Permanece
active hasta que finaliza el período, luego cambia a canceled.Marca de tiempo ISO 8601 de cuándo finaliza el período de facturación actual y la cancelación entra en vigor.
La cancelación es inmediata, pero se hace efectiva al final de su período de facturación. No puede deshacer una cancelación a través de la API; para volver a suscribirse, cree una nueva sesión de pago.
Cuerpo
application/json

